[tex-live] TeXLive 2016 on Ubuntu

Norbert Preining preining at logic.at
Thu Aug 25 21:52:43 CEST 2016

>  asymptote depends on texlive-base-bin; however:


Please edit the equivs input file, and add
to the long list. Then run the equivs command again, and install
the package. After that you can remove asymptote, too.

> So obviously it's asymptote that's creating the problem.  Now, I

It is not a problem, it is supposed to be so.

> never asked for asymptote to be installed (just texmaker) and it's
> only listed as a recommended package for texmaker, so I'm not sure

Yes, by *default* recommended packages will be installed. That has
been the case in Debian (and thus Ubuntu) since many many years

> that would elevate "recommends" to "depends"?  If I remove it, I can

No, see above. But there is one to not install recommends by default.

> Further, I notice that texlive-base-bin is not listed in the equivs
> file.  I would guess, then, that there is a problem with chaining

Which version of asymptote do you have installed? In *my* version 
(2.38-1) there is *no* depends on texlive-base-bin.

Anyway, that is fine, that was an old name of the package that is not 
existing anymore. 

> Perhaps texlive-base-bin should be added to the equivs file?

Not needed.


PREINING Norbert + TeX Live & Debian Developer + http://www.preining.info
GPG: 0x860CDC13    fp: F7D8 A928 26E3 16A1 9FA0  ACF0 6CAC A448 860C DC13

More information about the tex-live mailing list